
#include <ESP8266WiFi.h>

const char* ssid = ".......";
const char* password = "........";

// nastavení propojovacího pinu
#define analogPin A0
// proměnná pro ukládání výsledků měření
int data = 0;

WiFiServer server(80);

void setup() {
  // Initializing serial port for debugging purposes
  Serial.begin(9600);
  delay(10);


  // Connecting to WiFi network
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);

  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi connected");

  // Starting the web server
  server.begin();
  Serial.println("Web server running. Waiting for the ESP IP...");
  delay(10000);

  // Printing the ESP IP address
  Serial.println(WiFi.localIP());
}

void loop() {
  WiFiClient client = server.available();

  if (client) {
    Serial.println("New client");
  }

  data = analogRead(analogPin);
  // vytištění výsledků po sériové lince
  Serial.print("Hodnota nactena ze senzoru: ");
  Serial.println(data);
  // pokud je překonána nastavená hranice,
  // vytiskneme ještě upozornění
  if (data > 500) {
    Serial.println("Prekrocena nastavena hranice, senzor na suchu!");
  }
  // pauza před novým měřením
  delay(1500);

  client.println("HTTP/1.1 200 OK");
  client.println("Content-Type: text/html");
  client.println("Connection: close");
  client.println();
  // your actual web page that displays temperature and humidity
  client.println("<!DOCTYPE HTML>");
  client.println("<html>");
  client.println("<head></head><body><h1>Stephen - Smart room system.</h1><h3>Flower Moisure: ");
  client.println(data);
  client.println("</h3><h3>Status of flower: ");

  if (data > 700) {
    client.println("Flower needs water!");
  }
  else {
    client.println("Flower is OK");
  }

  client.println("</body></html>");
}
